# This report describes some results from an analysis finalized on 13 September 2017

The difference with previous report of 13 September is that dimensionality is reduced to 50 and there are
also two additional tables table1.mat and table2.mat that test just the dipole fitting for coilaccuracy = 1 and 2 respectively.

For all figures below, the crosshair indicates the theoretical position of the dipole in the phantom.

The CT scan that is shown in the background is not 100% correctly coregistered with the actual phantom (this is a known bug in the analysis script).

Ideally, the color-coded distribution of the inverse solution should have its peak at the crosshair.

This report is organized as follows:

The main sections correspond to dipole strength
- 1000 nAm dipole
- 200 nAm dipole
- 100 nAm dipole
- 20 nAm dipole

Each sections is split over the different dipole locations
- dip05 (superficial)
- dip06
- dip07
- dip08 (deep)

For each dipole strength and location there are figures for
- RV
- LCMV
- DICS

# Strength 1000nAm

## Location dip05
### DICS scan, log10(active/baseline)
![](dip05_1000nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip05_1000nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip05_1000nAm_sss.fif_rv.png)

## Location dip06
### DICS scan, log10(active/baseline)
![](dip06_1000nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip06_1000nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip06_1000nAm_sss.fif_rv.png)

## Location dip07
### DICS scan, log10(active/baseline)
![](dip07_1000nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip07_1000nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip07_1000nAm_sss.fif_rv.png)

## Location dip08
### DICS scan, log10(active/baseline)
![](dip08_1000nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip08_1000nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip08_1000nAm_sss.fif_rv.png)
# Strength 200nAm

## Location dip05
### DICS scan, log10(active/baseline)
![](dip05_200nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip05_200nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip05_200nAm_sss.fif_rv.png)

## Location dip06
### DICS scan, log10(active/baseline)
![](dip06_200nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip06_200nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip06_200nAm_sss.fif_rv.png)

## Location dip07
### DICS scan, log10(active/baseline)
![](dip07_200nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip07_200nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip07_200nAm_sss.fif_rv.png)

## Location dip08
### DICS scan, log10(active/baseline)
![](dip08_200nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip08_200nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip08_200nAm_sss.fif_rv.png)
# Strength 100nAm

## Location dip05
### DICS scan, log10(active/baseline)
![](dip05_100nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip05_100nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip05_100nAm_sss.fif_rv.png)

## Location dip06
### DICS scan, log10(active/baseline)
![](dip06_100nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip06_100nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip06_100nAm_sss.fif_rv.png)

## Location dip07
### DICS scan, log10(active/baseline)
![](dip07_100nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip07_100nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip07_100nAm_sss.fif_rv.png)

## Location dip08
### DICS scan, log10(active/baseline)
![](dip08_100nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip08_100nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip08_100nAm_sss.fif_rv.png)
# Strength 20nAm

## Location dip05
### DICS scan, log10(active/baseline)
![](dip05_20nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip05_20nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip05_20nAm_sss.fif_rv.png)

## Location dip06
### DICS scan, log10(active/baseline)
![](dip06_20nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip06_20nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip06_20nAm_sss.fif_rv.png)

## Location dip07
### DICS scan, log10(active/baseline)
![](dip07_20nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip07_20nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip07_20nAm_sss.fif_rv.png)

## Location dip08
### DICS scan, log10(active/baseline)
![](dip08_20nAm_sss.fif_dics.png)
### LCMV scan, log10(active/baseline)
![](dip08_20nAm_sss.fif_lcmv.png)
### Residual variance scan, -log10()
![](dip08_20nAm_sss.fif_rv.png)
